Package org.eclipse.graphiti.pattern.mapping.data

## Class ImageDataMapping

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
  - - org.eclipse.graphiti.pattern.mapping.data.DataMapping
    - - org.eclipse.graphiti.pattern.mapping.data.ImageDataMapping

All Implemented Interfaces:
  `IDataMapping`, `IImageDataMapping`

    public abstract class ImageDataMapping
    extends DataMapping
    implements IImageDataMapping

The Class ImageDataMapping.

### Constructor Summary

Constructors
`ImageDataMapping​(IMappingProvider mappingProvider)` Creates a new `ImageDataMapping`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getImageId​(PictogramLink link)` Gets the image id.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.data.DataMapping

`getBusinessObject, getUpdateWarning`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

### Constructor Detail

#### ImageDataMapping

    public ImageDataMapping​(IMappingProvider mappingProvider)

Creates a new `ImageDataMapping`.

Parameters:
  `mappingProvider` - the mapping provider

### Method Detail

#### getImageId

    public java.lang.String getImageId​(PictogramLink link)

Description copied from interface: `IImageDataMapping`
Gets the image id.

Specified by:
  `getImageId` in interface `IImageDataMapping`
Parameters:
  `link` - the pictogram link
Returns:
  the image id